Module java.base
Package java.lang.classfile.constantpoolPREVIEW

# Class ConstantPoolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.lang.classfile.constantpool.ConstantPoolException

All Implemented Interfaces:
  `Serializable`

public class ConstantPoolException extends IllegalArgumentException
`ConstantPoolException` is a preview API of the Java platform.
Programs can only use `ConstantPoolException` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Thrown to indicate that requested entry cannot be obtained from the constant pool.

Since:
  22
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantPoolException()`
  Constructs a `ConstantPoolException` with no detail message.
  `ConstantPoolException(String message)`
  Constructs a `ConstantPoolException` with the specified detail message.
  `ConstantPoolException(String message, Throwable cause)`
  Constructs a `ConstantPoolException` with the specified detail message and cause.
  `ConstantPoolException(Throwable cause)`
  Constructs a `ConstantPoolException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantPoolException

    public ConstantPoolException()
    Constructs a `ConstantPoolException` with no detail message.

  - ### ConstantPoolException

    public ConstantPoolException(String message)
    Constructs a `ConstantPoolException` with the specified detail message.
    Parameters:
      `message` - the detail message.

  - ### ConstantPoolException

    public ConstantPoolException(Throwable cause)
    Constructs a `ConstantPoolException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### ConstantPoolException

    public ConstantPoolException(String message, Throwable cause)
    Constructs a `ConstantPoolException` with the specified detail message and cause.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)